[MonoDevelop] Compiling gtksourceview-sharp 0.7 for MonoDevelop 0.6 on OSX

Alessandro Lendaro alendaro1@virgilio.it
Thu, 24 Mar 2005 22:59:51 +0100


Zac Bowling wrote:

>I would venture a guess that a variable that is supposed to be be set
>for your gapi tool name isn't be set (I believe its calling gapi2-fixup
>or something like that). Some recent configure file changes may have
>caused that error but usually in my experience that isn't the issue. 
>
>It would be good to know if running gapi2-fixup from that same shell
>causes any errors when you run it manually.
>  
>
Yeah, it definitely has to do with gapi2

the latest part of configure is in fact:

checking for gapi2-fixup... no
checking for gapi2-fixup.exe...
checking for gapi2-codegen... no
checking for gapi2_codegen.exe...
checking for monodoc >= 1.0... yes
checking MONODOC_DEPENDENCY_CFLAGS... 
checking MONODOC_DEPENDENCY_LIBS... 
/r:/Library/Frameworks/Mono.framework/Versions/Current/lib/mono/gtk-sharp/monodoc.dll  

checking for monodoc... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating gtksourceview/AssemblyInfo.cs
config.status: creating gtksourceview/gtksourceview-sharp.dll.config
config.status: creating gtksourceview/Makefile
config.status: creating gtksourceview-sharp-2.0.pc
config.status: creating doc/Makefile
config.status: creating sample/Makefile
config.status: executing depfiles comman

and by the way, setting ACLOCAL_FLAGS didn't change nothing

--